device_del
Prev | Device Drivers Base | Next

## Name

device_del — delete device from system.

## Synopsis

`void device_del (` | struct device * | dev`)`;

## Arguments

`dev`

  device.

## Description

This is the first part of the device unregistration sequence. This removes the device from the lists we control from here, has it removed from the other driver model subsystems it was added to in `device_add`, and removes it from the kobject hierarchy.

## NOTE

this should be called manually _iff_ `device_add` was also called manually.

Prev | Up | Next
put_device | Home | device_unregister